%global srcname pyxattr

Name:           python3-%{srcname}
Summary:        Extended attributes library wrapper for Python
Version:        0.7.1
Release:        1%{?dist}
License:        LGPLv2+
URL:            https://pyxattr.k1024.org/
Source0:        %{url}/downloads/%{srcname}-%{version}.tar.gz
Source1:        %{url}/downloads/%{srcname}-%{version}.tar.gz.asc
Source2:        https://k1024.org/files/key.asc
BuildRequires:  gcc
BuildRequires:  libattr-devel
BuildRequires:  python3-devel
BuildRequires:  %{py3_dist pytest}
# signature verification
BuildRequires:  gnupg2
%{?python_provide:%python_provide python3-%{srcname}}

%description
Python extension module wrapper for libattr. It allows to query, list,
add and remove extended attributes from files and directories.

%prep
%{gpgverify} --keyring='%{SOURCE2}' --signature='%{SOURCE1}' --data='%{SOURCE0}'
%autosetup -n %{srcname}-%{version}

%build
%py3_build

%install
%py3_install

%check
# selinux in koji produces unexpected xattrs for tests
export TEST_IGNORE_XATTRS=security.selinux
# the module is just a C extension => need to add the installed destination to
# PYTHONPATH, otherwise it won't be found
export PYTHONPATH=%{buildroot}%{python3_sitearch}:$PYTHONPATH
python3 -m pytest test

%files
%{python3_sitearch}/xattr.cpython-??*
%{python3_sitearch}/*egg-info
%license COPYING
%doc NEWS README.md


%changelog
* Fri Apr 17 2020 Dan Čermák <dan.cermak@cgc-instruments.com> - 0.7.1-1
- Bump version to 0.7.1

* Sun Jul 14 2019 Dan Čermák <dan.cermak@cgc-instruments.com> - 0.6.1-1
- Initial package version
